<?php
/*	=====================================================
	preset_path_manager, Version 1.06.000
	=====================================================

$module_directory     = 'preset_path_manager';
$module_name          = 'Preset Path Manager';
$module_function      = 'tool';
$module_version       = '1.06.000';
$module_platform      = '2.x';
$module_author        = 'Wolfgang Studer';
$module_license       = 'GNU General Public License';
$module_license_terms = '-';
$module_description   = 'defines preset path to be used in various modules';
$module_guid          = '710b5004-5b13-4efe-ae8d-df8cedfb115b';
$module_home          = 'www.wolfgangstuder.ch | www.lepton-cms.com';
$lepador_link         = 'http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php';
$forum_link           = 'http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061';

=====================================================

INTRO
==================================

Ein Admin Modul für das LEPTON CMS.

Es erlaubt die Administration von Preset Pfaden, welche in verschiedenen Modulesn
verwendet werden.

Dieses Modul unterstützt das Modul "lib_logger" und kann damit verschiedene
Fehler, Aktivitäten und SQLs in einer Datenbank Tabelle speichern und im Modul
"logger" anzeigen.
Die Module "lib_logger" und "logger" sind optional und für den
Betrieb dieses Modules nicht zwingend.

Dieses Modul unterstützt das Modul "lib_dependency" zur Sicherstellung von
Abhängigkeiten während einer De-Installation.
Das Modul "lib_dependency" ist optional und für den Betrieb dieses Modules nicht
zwingend.
Das Modul kann auch nachträglich installiert werden, vorhandene Abhängigkeiten
werden semi-automatisch eingetragen (register_dependency.php).
Siehe auch die README.de.txt Datei von "lib_dependency" für weitere Informationen.

PRE-REQUIREMENTS
==================================
>=       2.2 : LEPTON_VERSION
>=       5.6 : PHP_VERSION
>=  1.04.000 : WB_ADDONS[ 'lib_setuphelper' ]
>=  1.24.0.0 : WB_ADDONS[ 'lib_twig' ]
>=  0.03.001 : WB_ADDONS[ 'lib_dependency' ] (optional)
>=  0.05.002 : WB_ADDONS[ 'lib_logger' ] (optional)

INSTALLATION
==================================

1. Lade die letzte Version von
	http://www.lepton-cms.com/lepador/modules/preset_path_manager.php
2. Melde dich im Lepton CMS Backend an
3. Gehe zu Erweiterungen -> Module
4. Im Block "Modul installieren", wähle die im Schritt 1 heruntergeladene
	preset_path_manager ZIP Datei, dann klicke auf den "Installieren" Button.


DE-INSTALLATION
==================================

1. Melde dich im Lepton CMS Backend an
2. Gehe zu Erweiterungen -> Module
3. Im Block "Modul deinstallieren", wähle das Modul "preset_path_manager",
	dann klicke auf den "Deinstallieren" Button.

BENUTZUNG VON preset_path_manager
==================================

Bei Aufruf dieses Admin Tools werden alle verfügbaren & definierten Pfade zu Preset
Verzeichnissen aufgelistet.
Hier können dann auch neue Pfade angelegt bzw bestehende Pfade gelöscht werden.
Beachte bitte das beim ersten Löschen der Pfad nur in den Papierkorb geht, aus dem er dann
entweder ganz gelöscht oder wieder reaktiviert werden kann.
Definierte Pfade welche benutzt werden können nicht gelöscht werden.

#@INCLUDE: README_DE_OPTIONIZER#

#@INCLUDE: README_DE_DEPENDENCY#

EIGENE ERWEITERUNGEN
===========================

Dieses Modul wurde so entwickelt, das es durch den System-Administrator an verschiedenen
Punkten erweitert werden kann, ohne im Modul selbst Aenderungen vorzunehmen und dadurch
die Aenderungen bei einem allfälligen Update zu verlieren.
Hier nachfolgend die Punkte und Dateien:

Benutze Variablen:
- {LEPTON_PATH}   = der LEPTON CMS Installations Pfad
- {DEFAULT_THEME} = das verwendete Backend Theme
- {TEMPLATE}      = das verwendete Frontend Template
- {COMPONENT}     = der Komponenten Name, z.B. "modify_optionizer"
- {LANGUAGE}      = der momentan verwendete Sprachcode, in Grossbuchstaben

- {BACKEND_PATH}  = {LEPTON_PATH}/templates/{DEFAULT_THEME}/backend/preset_path_manager
- {FRONTEND_PATH} = {LEPTON_PATH}/templates/{TEMPLATE}/frontend/preset_path_manager


Für das Backend:
- {BACKEND_PATH}/backend.css
	>> hier kann das verwendete Standard Style überschrieben werden.
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!

- {BACKEND_PATH}/languages/{LANGUAGE}.php
	>> hier kann der verwendete Standard Text überschrieben werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.backend.config.{COMPONENT}.php
	>> In dieser Datei können Standard Konfigurations Werte überschrieben werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.data.{COMPONENT}.php
	>> diese Datei wird ausgeführt, nachdem das SQL ausgeführt wurde. Benutze diese Datei
		wenn Daten manipuliert werden sollen, bevor diese an die TWIG Engine übergeben
		werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.twig.{COMPONENT}.php
	>> Benutze diese Datei, wenn zusätzliche Variablen im TWIG Template verwendet werden
		sollen.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/templates/backend/{COMPONENT}.lte
	>> mit dieser Datei kann das Standard Template ersetzt werden.
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!
	Wichtig: Es kann auch ein Template  mit einem anderen Namen verwendet werden.
	Dazu muss in: {BACKEND_PATH}/lib/lib.twig.{COMPONENT}.php
	folgendes definiert werden:
		// define twig template
		$twigTemplate =  '<<dein Template Name>>';

#@INCLUDE: README_DE_ENHANCEMENT_MOD#



WEITERE DOKUMENTATION
===========================

Weitere Informationen zu diesem Modul findet sich im LEPTON CMS Forum
http://forum.lepton-cms.org/index.php

!! Beachtet bitte das das Forum nur in englischer Sprache geführt wird !!


Enjoy!
*/
?>
