<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// validate input
	if ( $row_id > 0 ):
		// check if this row is available
		$query = 'SELECT * '
				. ' FROM ' . TABLE_PREFIX . 'mod_preset_path'
				. ' WHERE `' . $row_key . '`	= ' . $row_id
				;
		$data = path_execute_query( __FUNCTION__, $query, 'get_all_one' );

		if (( array_key_exists( $row_key, $data )	== TRUE 	)
		and ( $data[ $row_key ]						== $row_id )):
			$status = TRUE;
		else:
			// row not exists
			$status = FALSE;
			$messages['ERROR'][] = $query . '<br />' . $MOD_PRESET_PATH_MANAGER[$type]['ERROR']['not_exists'];
		endif;

	else:
		// row_id can not be empty
		$status = FALSE;
		$messages['ERROR'][] = $MOD_PRESET_PATH_MANAGER[$type]['ERROR']['rowid_empty'];
	endif;


// further actions
	if ( $status == TRUE ):
		switch ( $action ):
		case 'delete':
			// row is marked as deleted, so do final delete
			if ( $data[ 'status' ] == 'DELETED' ):
				$query = 'DELETE FROM ' . TABLE_PREFIX . 'mod_preset_path '
						. ' WHERE `' . $row_key . '`	= ' . $row_id
						;
				$status = path_execute_query( __FUNCTION__, $query, 'try_catch' );

				if ( $status == TRUE ):
					$messages['INFO'][] = $MOD_PRESET_PATH_MANAGER[$type]['INFO']['deleted_success'];
					$path_action = 'DELETED';
				else:
					$messages['ERROR'][] = $MOD_PRESET_PATH_MANAGER[$type]['ERROR']['deleted_failed'];
				endif;

			// mark as deleted
			else:
				$query = 'UPDATE ' . TABLE_PREFIX . 'mod_preset_path '
						. ' SET '
						. '  `modified_by`		= ' . $admin->get_user_id()
						. ', `version_number`	= `version_number` + 1'
						. ', `status`			= "DELETED"'
						. ' WHERE `' . $row_key . '`	= ' . $row_id
						;
				$status = path_execute_query( __FUNCTION__, $query, 'try_catch' );
				if ( $status == TRUE ):
					$messages['INFO'][] = $MOD_PRESET_PATH_MANAGER[$type]['INFO']['delete_success'];
					$path_action = 'MARKED';
				else:
					$messages['ERROR'][] = $MOD_PRESET_PATH_MANAGER[$type]['ERROR']['delete_failed'];
				endif;
			endif;

			break;


		// row is marked as deleted, so do undo delete
		case 'restore':
			// restore when deleted
			if ( $data[ 'status' ] == 'DELETED' ):
				$data[ 'status' ] = 'MODIFIED';

				// update status
				$query = 'UPDATE ' . TABLE_PREFIX . 'mod_preset_path '
						. ' SET '
						. '  `modified_by`		= ' . $admin->get_user_id()
						. ', `version_number`	= `version_number` + 1'
						. ', `status`			= "' . $data[ 'status' ] . '"'
						. ' WHERE `' . $row_key . '`	= ' . $row_id
						;

				// run the query
				$status = path_execute_query( __FUNCTION__, $query, 'try_catch' );
				if ( $status == TRUE ):
					$messages['INFO'][] = $MOD_PRESET_PATH_MANAGER[$type]['INFO']['restore_success'];
					$path_action   = 'RESTORED';
				else:
					$messages['ERROR'][] = $MOD_PRESET_PATH_MANAGER[$type]['ERROR']['restore_failed'];
				endif;
			else:
				$messages['ERROR'][] = $MOD_PRESET_PATH_MANAGER[$type]['ERROR']['invalid_status'];
			endif;

			break;

		endswitch;
	endif;


// check if row data still available and get the status
	$query = 'SELECT `status` '
			. ' FROM ' . TABLE_PREFIX . 'mod_preset_path'
			. ' WHERE `' . $row_key . '`	= ' . $row_id
			;
	$data = path_execute_query( __FUNCTION__, $query, 'get_all_one' );

	if ( count( $data ) <= 0 ):
		$data[ 'status' ] = 'gone';
	endif;

?>
