<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// set default options
	if ( isset( $selectParams ) == FALSE ):
		$selectParams = array();
	endif;

	if ( array_key_exists( 'root', $selectParams ) == FALSE ):
		if (( array_key_exists( 'file', $path_treekind )				== TRUE )
		and ( array_key_exists( 'root', $path_treekind['file'] )		== TRUE )):
			$selectParams['root'] = $path_treekind['file']['root'];
		else:
			$selectParams['root'] = LEPTON_PATH . MEDIA_DIRECTORY;
		endif;
	endif;

	if ( array_key_exists( 'folder', $selectParams ) == FALSE ):
		if (( array_key_exists( 'file', $path_treekind )				== TRUE )
		and ( array_key_exists( 'folder', $path_treekind['file'] )		== TRUE )):
			$selectParams['folder'] = $path_treekind['file']['folder'];
		else:
			$selectParams['folder'] = '';
		endif;
	endif;

	if ( array_key_exists( 'prefix', $selectParams ) == FALSE ):
		if (( array_key_exists( 'file', $path_treekind )				== TRUE )
		and ( array_key_exists( 'prefix', $path_treekind['file'] )	== TRUE )):
			$selectParams['prefix'] = $path_treekind['file']['prefix'];
		else:
			$selectParams['prefix'] = '';
		endif;
	endif;


	if ( isset( $fileList ) == FALSE ):
		$fileList = array();
	endif;


/** ------------------------------------------------------------------------------------
 * build folder tree
 * @return	array		$list		= result
 * @param	string		$root		= root folder to get files from
 * @param	array		$list		= available result so far
 * @param	string		$keyPrefix	= prefix string to be added before the tree key (= file name)
 * @param	array		$path_vars
 ** ------------------------------------------------------------------------------------
 */
	$fileList	= path_build_file_list(
						  $selectParams['root'] . DIRECTORY_SEPARATOR . $selectParams['folder']
						, $fileList
						, $selectParams['prefix']
						, $path_vars
						);

// set result array into data var when called from ajax
	if (( isset( $data ) == TRUE )
	and ( array_key_exists( 'PARENT', $data ) == TRUE )):
		$data['CHILD']  = $fileList;
	endif;

?>
