<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// set default options
	if ( isset( $selectParams ) == FALSE ):
		$selectParams = array();
	endif;

	if ( array_key_exists( 'root', $selectParams ) == FALSE ):
		if (( array_key_exists( 'media', $path_treekind )				== TRUE )
		and ( array_key_exists( 'root', $path_treekind['media'] )		== TRUE )):
			$selectParams['root'] = $path_treekind['media']['root'];
		else:
			$selectParams['root'] = LEPTON_PATH . MEDIA_DIRECTORY;
		endif;
	endif;

	if ( array_key_exists( 'replace', $selectParams ) == FALSE ):
		if (( array_key_exists( 'media', $path_treekind )				== TRUE )
		and ( array_key_exists( 'replace', $path_treekind['media'] )	== TRUE )):
			$selectParams['replace'] = $path_treekind['media']['replace'];
		else:
			$selectParams['replace'] = LEPTON_PATH . MEDIA_DIRECTORY;
		endif;
	endif;

	if ( array_key_exists( 'type', $selectParams ) == FALSE ):
		if (( array_key_exists( 'media', $path_treekind )				== TRUE )
		and ( array_key_exists( 'type', $path_treekind['media'] )		== TRUE )):
			$selectParams['type'] = $path_treekind['media']['type'];
		else:
			$selectParams['type'] = 'level';
		endif;
	endif;

	if ( array_key_exists( 'prefix', $selectParams ) == FALSE ):
		if (( array_key_exists( 'media', $path_treekind )				== TRUE )
		and ( array_key_exists( 'prefix', $path_treekind['media'] )	== TRUE )):
			$selectParams['prefix'] = $path_treekind['media']['prefix'];
		else:
			$selectParams['prefix'] = '';
		endif;
	endif;


	if ( isset( $folderTree ) == FALSE ):
		$folderTree = array();
	endif;
	if ( isset( $fileList ) == FALSE ):
		$fileList = array();
	endif;


/** ------------------------------------------------------------------------------------
 * build folder tree
 * @return	array		$tree		= result
 * @param	string		$root		= root folder to start onwards
 * @param	array		$tree		= available result so far
 * @param	string		$remove		= string to be removed from path
 * @param	string		$resultType	= trail ( path1, path1 / path1.1 )
 *									  level ( path1, -- path1.1, ---- path1.1.1 )
 * @param	string		$keyPrefix	= prefix string to be added before the tree key (= folder name)
 * @param	array		$path_vars
 ** ------------------------------------------------------------------------------------
 */
	$folderTree	= path_build_folder_tree(
						  $selectParams['root']
						, $folderTree
						, $selectParams['replace']
						, $selectParams['type']
						, $selectParams['prefix']
						, $path_vars
						);

// initialize data child
	if (( array_key_exists( 'file_list', $MOD_PRESET_PATH_MANAGER )					== TRUE )
	and ( array_key_exists( 'mainselect', $MOD_PRESET_PATH_MANAGER['file_list'] )	== TRUE )):
		$fileList[] = $MOD_PRESET_PATH_MANAGER['file_list']['mainselect'];
	endif;

// set result array into data var when called from ajax
	if (( isset( $data ) == TRUE )
	and ( array_key_exists( 'PARENT', $data ) == TRUE )):
		$data['PARENT'] = $folderTree;
		$data['CHILD']  = $fileList;
	endif;

?>
