<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// get defined path data
	$query = 'SELECT * '
			. ' FROM ' . TABLE_PREFIX . 'mod_preset_path'
			;
	$data = path_execute_query( __FUNCTION__, $query, 'get_all' );

// check if defined path are in use
	if ( count( $data ) > 0 ):
		foreach( $data as $key => &$value ):
			// prepare SQL
			$query = 'SELECT count(*) '
						. ' FROM ' . TABLE_PREFIX . 'mod_preset_path_use'
						. ' WHERE `path_id` = ' . $value[ 'path_id' ]
						;

			// db result count failure handling
			$value[ 'path_id_used' ] = path_execute_query( __FUNCTION__, $query, 'get_one' );
		endforeach;
	endif;

/*
 * check for new presets
 */

// check root path defined
	if ( array_key_exists( 'rootPath', $presetConfig ) == FALSE ):
		$presetConfig[ 'rootPath' ] = array();
	endif;
	if ( is_array( $presetConfig[ 'rootPath' ] ) == FALSE ):
		$tmp = $presetConfig[ 'rootPath' ];
		if ( strlen( trim( $tmp )) > 0 ):
			$presetConfig[ 'rootPath' ] = array( $tmp );
		else:
			$presetConfig[ 'rootPath' ] = array();
		endif;
	endif;

	// search available presets in available root path
	$presetFolders = array();
	if ( count( $presetConfig[ 'rootPath' ] ) > 0 ):
		foreach ( $presetConfig[ 'rootPath' ] as $rootPath ):
			if ( is_dir( $rootPath ) == TRUE ):
				$path = realpath( $rootPath );
				$dir  = new RecursiveDirectoryIterator($path);
				$files = new RecursiveIteratorIterator($dir, RecursiveIteratorIterator::SELF_FIRST);
				while( $files->valid() ):
					if ( $files->getFilename() == 'preset_info.php' ):
						$filepath = str_replace( LEPTON_PATH, '', $files->getPath() );
						$query = 'SELECT count(1)'
								. ' FROM ' . TABLE_PREFIX . 'mod_preset_path'
								. ' WHERE `path` = "' . $filepath . '"';
						$count = path_execute_query( __FUNCTION__, $query, 'get_one' );

						if ( $count == 0 ):
							$presetFolders[] = $filepath;
						endif;
					endif;
					$files->next();
				endwhile;
			endif;
		endforeach;
	endif;

?>
